Subject: [Rfced-future] Getting a name for the poisition, proposed way forward

From: Brian Rosen <[email-masked]>
Date: Fri, 10 Sep 2021 12:09:19 -0400

We still have lack of consensus on the name.  I propose the following to get information to use in our next meeting:
1. We create a list of candidate names.  You can tell us why you think your nomination is the right choice, but let’s try to not to get bogged down arguing the same points we have already made
2. We ask participants to give us their top three in ranked order, and any they cannot live with under any circumstances. No reasons, just ranking
3. We compile the results, have a short discussion and hold a few hum equivalents in our upcoming meeting and see if that gets us a rough consensus

Let’s start with a discussion of this proposed process.  Nominations after that.

Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 11 Sep 2021 08:31:31 +1200

> Let’s start with a discussion of this proposed process.  Nominations after that.

Looks OK. If #3 becomes tricky, use Condorcet voting.

   Brian C

---

From: Mark Nottingham <[email-masked]>
Date: Sat, 11 Sep 2021 13:50:08 +1000

This proposal is a popularity contest, not a reasoned choice. When we name a protocol (or a part thereof), this might be a reasonable approach, for all of the bikeshed-related reasons that come to mind.

This doesn't appear to be that situation. People obviously believe that this choice matters, because it has real-world effects. Those effects are what's in dispute, I think. By avoiding discussion of that ('try not to get bogged down', 'no reasons'), we're not addressing the underlying argument.

I understand that the chairs want to move past this as it's messy, but I'd suggest that some discussion of the reasons *why* the name choice matters is necessary first.

> On 11 Sep 2021, at 2:09 am, Brian Rosen <[email-masked]> wrote:
> 
> -- 
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future

--
Mark Nottingham   https://www.mnot.net/

---

From: Brian Rosen <[email-masked]>
Date: Sat, 11 Sep 2021 07:36:18 -0400

You are free to send your thoughts on any subject at any time. I think the
arguments have been made.   We clearly don’t have a strong consensus on any
name thus far proposed. We may have a rough consensus, or we may be able to
get to one fairly quickly.  Or not.   I proposed to try.

Brian

On Fri, Sep 10, 2021 at 11:50 PM Mark Nottingham <[email-masked]> wrote:

> This proposal is a popularity contest, not a reasoned choice. When we name
> a protocol (or a part thereof), this might be a reasonable approach, for
> all of the bikeshed-related reasons that come to mind.

> This doesn't appear to be that situation. People obviously believe that
> this choice matters, because it has real-world effects. Those effects are
> what's in dispute, I think. By avoiding discussion of that ('try not to get
> bogged down', 'no reasons'), we're not addressing the underlying argument.
>
> I understand that the chairs want to move past this as it's messy, but I'd
> suggest that some discussion of the reasons *why* the name choice matters
> is necessary first.
>
>
>
> > We still have lack of consensus on the name.  I propose the following to
> get information to use in our next meeting:
> > 1. We create a list of candidate names.  You can tell us why you think
> your nomination is the right choice, but let’s try to not to get bogged
> down arguing the same points we have already made
> > 2. We ask participants to give us their top three in ranked order, and
> any they cannot live with under any circumstances. No reasons, just ranking
> > 3. We compile the results, have a short discussion and hold a few hum
> equivalents in our upcoming meeting and see if that gets us a rough
> consensus
> >

---

From: Mark Nottingham <[email-masked]>
Date: Wed, 15 Sep 2021 15:36:06 +1000

I'll add just a bit to what I said in <https://mailarchive.ietf.org/arch/msg/rfced-future/dx4lEwNFLhvBsIRd9PazzfyYCX4>.

I think we can all agree that we've changed this role significantly. To avoid confusion and misunderstanding, the natural, logical thing to do is to change the name significantly as well.

As I understand the arguments for having 'editor' in the name, the most prominent is that it might be difficult to attract the right person to fill it if the word 'editor' isn't in the title. To me, that calls up the question of what happens when we hire someone who accepts the position on the basis of that title, and then finds out that they don't have the powers of an 'editor' -- or persistently try to fill that role. Attracting people with a title for a role that doesn't reflect common understanding of that title's duties and privileges is a recipe for mischief.

And, if we're going to make decisions based upon how we believe this person will or won't take a job, it seems prudent to do some research, rather than just guess. E.g., we should come up with a preliminary job description (based upon discussion so far) and float it past contacts (that I assume someone here will have) at places like IEEE and ACM (and/or elsewhere, depending on the exact shape that emerges). Doing that will assure not only that we have the right name, but also gives us better information about the role itself.

I'd love to hear what folks think about the above. If you disagree with my reasoning, I'm very open to a discussion as to why you do.

Cheers,

> On 11 Sep 2021, at 9:36 pm, Brian Rosen <[email-masked]> wrote:
> 
> You are free to send your thoughts on any subject at any time. I think the arguments have been made.   We clearly don’t have a strong consensus on any name thus far proposed. We may have a rough consensus, or we may be able to get to one fairly quickly.  Or not.   I proposed to try. 
> 
> Brian
>

---

From: Jay Daley <[email-masked]>
Date: Wed, 15 Sep 2021 19:07:34 +1200

> On 15/09/2021, at 5:36 PM, Mark Nottingham <[email-masked]> wrote:
> 

I see it differently.  There are two aspects to the job title:

1.  The knowledge and experience that the role comes with.  For me the word ‘editor’ conveys this nicely but alternatives such as ‘publishing expert’ are certainly possible. 

2.  The scope and authority that the role comes with.  In my experience, the word ‘editor’ isn’t at all clear in this regard and can apply across a spectrum of roles from the lowest scope/authority to the highest.  For that reason it is normally prefixed such as in ‘managing editor’.  The prefix that a number have so far supported is ‘consulting’ as in ‘consulting editor’ because that nicely (in my view) conveys the scope and authority of this role and also strengthens the expectations around knowledge and experience.

Jay

-- 
Jay Daley
IETF Executive Director 
[email-masked]

---

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 15 Sep 2021 06:45:40 -0400

In terms of filling the role, I think there are two aspects.
The first one is getting the right people to even look at our 
advertisements.  That is where I think the naming is important.  I think 
including "editor" in the name will help get their attention.

Having gotten their attention, it seems to me that anyone we would want 
to hire will have looked at the descriptions, the supporting material, 
etc.  Part of the interview process has to be confirming that their 
expectations of the job align well with ours.  That seems a necessary 
aspect no matter what title we give the job.

Yours,
Joel

---

From: John C Klensin <[email-masked]>
Date: Wed, 15 Sep 2021 10:10:32 -0400

FWIW, while Mark and Joel seem to be disagreeing with each
other, I agree with both.  But, Joel, it is not just getting the
attention of a potential hire.  Unless we want and expect to
attract only those nearing or past retirement, anyone who thinks
about their career path is going to wonder what a particular
title is going to look like on a resume: "editor" is probably
ok, "hoptoad" probably would not be.

And, Mark, while you should certainly do the research and verify
this, the titles you are likely to find at ACM, IEEE, and ISO
and most of its national member bodies, and commercial academic
publishers mostly involve "editor"... except, or in addition to,
involving "manager" or "managing" (possibly prefixed by
"senior", "executive", etc.), "director" (ditto), "vice
president", and similar titles I assume we'd prefer to avoid as
not matching the position or its role and creating even more
confusion.

See my note in the "Issue #80" thread.

    john

--On Wednesday, September 15, 2021 06:45 -0400 "Joel M. Halpern"
<[email-masked]> wrote:

> advertisements.  That is where I think the naming is
> important.  I think including "editor" in the name will help
> get their attention.
> 
> Having gotten their attention, it seems to me that anyone we
> would want to hire will have looked at the descriptions, the
> supporting material, etc.  Part of the interview process has
> to be confirming that their expectations of the job align well
> with ours.  That seems a necessary aspect no matter what title
> we give the job.
> 
> Yours,
> Joel
> 
>> I'll add just a bit to what I said in
>> <https://mailarchive.ietf.org/arch/msg/rfced-future/dx4lEwNFL
>> hvBsIRd9PazzfyYCX4>.
>> 
>> I think we can all agree that we've changed this role
>> significantly. To avoid confusion and misunderstanding, the
>> natural, logical thing to do is to change the name
>> significantly as well.
>> 
>> As I understand the arguments for having 'editor' in the
>> name, the most prominent is that it might be difficult to
>> attract the right person to fill it if the word 'editor'
>> isn't in the title. To me, that calls up the question of what
>> happens when we hire someone who accepts the position on the
>> basis of that title, and then finds out that they don't have
>> the powers of an 'editor' -- or persistently try to fill that
>> role. Attracting people with a title for a role that doesn't
>> reflect common understanding of that title's duties and
>> privileges is a recipe for mischief.
>> 
>> And, if we're going to make decisions based upon how we
>> believe this person will or won't take a job, it seems
>> prudent to do some research, rather than just guess. E.g., we
>> should come up with a preliminary job description (based upon
>> discussion so far) and float it past contacts (that I assume
>> someone here will have) at places like IEEE and ACM (and/or
>> elsewhere, depending on the exact shape that emerges). Doing
>> that will assure not only that we have the right name, but
>> also gives us better information about the role itself.
>> 
>> I'd love to hear what folks think about the above. If you
>> disagree with my reasoning, I'm very open to a discussion as
>> to why you do.
>> 
>> Cheers,

---

From: Ole Jacobsen <[email-masked]>
Date: Wed, 15 Sep 2021 10:42:54 -0700

I agree with Jay.

I think the title is mostly part of our "branding" and history. As I have said
before the title "Request For Comments" is itself somewhat misleading, but at
least it's fairly well understood within our community and adjacent communities.
The job description and actual job has changed over the years, and we haven't
bothered too with spelling that out in the title beyond adding "Series" in the
most recent case. And as Jay says, "editor" has a wide meaning in the publishing
world and beyond.

So RFC <something> Editor seems like a fine title to me. And I have no problem
with using "Consulting" for that <something>.

I still have all of the applicant CVs from the last round and without revealing
any personal information I can tell you that most if not all of them were either
very familiar with our process and community or had clearly done their homework
in order to prepare for their interviews. I don't really buy the "surprise factor"
if someone arrives in the position and discovers that they don't get to edit
documents or decide which ones get published. If this were to happen we will have
failed in our hiring process for sure!

Ole

> On Sep 15, 2021, at 00:07, Jay Daley <[email-masked]> wrote:
> 
> 
> There are two aspects to the job title:
> 
> [email-masked] <mailto:[email-masked]>

Ole J. Jacobsen
Editor and Publisher
The Internet Protocol Journal
Office: +1 415-550-9433
Cell:   +1 415-370-4628
Web: protocoljournal.org
E-mail: [email-masked]
E-mail: [email-masked]
Skype: organdemo

---

From: Brian Rosen <[email-masked]>
Date: Wed, 15 Sep 2021 13:55:31 -0400

I’m hearing “RFC Consulting Editor” more than anything else.  We have a few people who are against “editor” anything.
Can we please hear from others if RFCCE seems like a reasonable way forward?  

Brian

> On Sep 15, 2021, at 1:42 PM, Ole Jacobsen <olejacobsen=[email-masked]> wrote:
> 
> I agree with Jay.
> 
>> On Sep 15, 2021, at 00:07, Jay Daley <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> 
> Web: protocoljournal.org <http://protocoljournal.org/>
> E-mail: [email-masked] <mailto:[email-masked]>

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 15 Sep 2021 12:23:03 -0600

> Can we please hear from others if RFCCE seems like a reasonable way forward?  

Earlier on I thought we were close to agrement on "RFC Series Consulting
Editor" and that title still makes sense to me. Titles that use phrases
like managing editor or executive editor seem to oversell the actual
role and responsibilities we've been discussing in this Program.

Peter

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 16 Sep 2021 10:35:25 +1200

> Can we please hear from others if RFCCE seems like a reasonable way forward? 

I suggested it (or RSCE, RFC Series Consulting Editor) precisely because
15 minutes with Google suggested that it was a commonly used title for
this sort of role. Obviously details vary, but nobody expects a "consulting"
role to include either editing duties or management duties.

   Brian C
 
> 
> 
> Brian
> 
> 
>> On Sep 15, 2021, at 1:42 PM, Ole Jacobsen <olejacobsen=[email-masked] <mailto:olejacobsen=[email-masked]>> wrote:
>>
>> I agree with Jay.
>>
>>> 2.  The scope and authority that the role comes with.  In my experience, the word ‘editor’ isn’t at all clear in this regard and can apply across a spectrum of roles from the lowest 
scope/authority to the highest.  For that reason it is normally prefixed such as in ‘managing editor’.  The prefix that a number have so far supported is ‘consulting’ as in ‘consulting editor’ because that nicely (in my view) conveys the scope and authority of this role and also strengthens the expectations around knowledge and experience.
>> E-mail: [email-masked] <mailto:[email-masked]>
>> Skype: organdemo
>>
>>
>>
>> -- 
>> [email-masked] <mailto:[email-masked]>

---

From: Mark Nottingham <[email-masked]>
Date: Thu, 16 Sep 2021 09:18:35 +1000

> On 16 Sep 2021, at 8:35 am, Brian E Carpenter <[email-masked]> wrote:
> 

Can we do a bit better than googling something and actually talk to one or two folks in the industry (as suggested)?

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 16 Sep 2021 15:20:58 +1200

> Can we do a bit better than googling something and actually talk to one or two folks in the industry (as suggested)?

I personally have no such contacts in the "industry". I will certainly ask what
a few academic "consulting editors" think their role is.

    Brian C

---

From: Michael StJohns <[email-masked]>
Date: Thu, 16 Sep 2021 11:43:03 -0400

> a few academic "consulting editors" think their role is.
ISTM that if Mark has an issue with "Consulting Editor" it's up to him 
to make his own arguments rather than require you to bid against 
yourself.   I.e., perhaps he should reach out to the industry himself?

FWIW, your understanding, and apparently Google's, match my 
understanding of the title meaning and I think it's a reasonably 
appropriate choice for the role.

Later, Mike

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 17 Sep 2021 10:44:34 +1000

Thanks, but that's not what I was proposing. 

What I'd like to see is those folks' reaction to a description of the position we're creating -- what title(s) would most likely fit, what expectations and concerns would the person have, what current industry roles does it best map onto, etc. I.e., it'd be good to validate that it's going to work from their perspective.

That requires us to come up with such a description, of course, but we're going to need to do that at some point anyway. 

Cheers,

> On 16 Sep 2021, at 1:20 pm, Brian E Carpenter <[email-masked]> wrote:
>

---

From: Eliot Lear <[email-masked]>
Date: Fri, 17 Sep 2021 08:10:46 +0200

Mark,

Related to what you are saying below, RFC 8728 Section 2.1.6 has a list 
of qualifications of the RSE (see below).  I wonder if you and the group 
believe an evolution of these should be included as part of the update, 
and whether those should be normative or general guidance (desirable not 
required).  Note that we are expecting a fuller review of RFC 8728 to 
come in Real Soon Now.

Eliot

>     The RFC Series Editor is a senior technology professional.  The
>     following qualifications are desired:
>
>     1.   Strategic leadership and management experience fulfilling the
>          requirements outlined in this document, the many aspects of this
>          role, and the coordination of the overall RFC Editor process.
>
>     2.   Good understanding of the English language and technical
>          terminology related to the Internet.
>
>     3.   Good communication skills.
>
>     4.   Experience with editorial processes.
>
>     5.   Ability to develop strong understanding of the IETF and RFC
>          process.
>
>     6.   Independent worker.
>
>     7.   Willingness to, and availability for, travel.
>
>     8.   The ability to work effectively in a multi-actor and matrixed
>          environment with divided authority and responsibility similar to
>          that described in this document.
>
>     9.   Experience with and ability to participate in, and manage,
>          activities by email and teleconferences, not just face-to-face
>          interactions.
>
>     10.  Demonstrated experience in strategic planning and the management
>          of entire operations.
>
>     11.  Experience as an RFC author.

---

From: Brian Rosen <[email-masked]>
Date: Fri, 17 Sep 2021 10:48:05 -0400

I understand your position and the idea you have, but I believe you are in the rough.

I believe RFC Series Consulting Editor is the current top contender and I propose that we accept that.  We have spent a very long time on this issue, so if you can live with RSCE, please say so even if that isn’t your preferred name.  If you can’t live with it, please say so.  Please respond by October 8.

Brian

> On Sep 16, 2021, at 8:44 PM, Mark Nottingham <[email-masked]> wrote:
>

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 17 Sep 2021 10:51:25 -0400

Yes, I can live with RSCE / RFC Series Consulting Editor.

Yours,
Joel

---

From: Martin J. Dürst <[email-masked]>
Date: Sat, 18 Sep 2021 09:59:23 +0900

Hello Eliot, others,

> required).  Note that we are expecting a fuller review of RFC 8728 to 

I'm neutral on inclusion or not, but if we do include this, I think 
point 1. and point 10. might need to be toned down a bit. Also, point 11 
may be difficult to achieve together with all the other requirements, 
but then as far as I understand, in an US context, people know that they 
can apply even if they don't check all requirements, in particular those 
that come later in such a long list.

Regards,   Martin.

>> What I'd like to see is those folks' reaction to a description of the 
>> position we're creating -- what title(s) would most likely fit, what 
>> expectations and concerns would the person have, what current industry 
>> roles does it best map onto, etc. I.e., it'd be good to validate that 
>> it's going to work from their perspective.
>>
>> That requires us to come up with such a description, of course, but 
>> we're going to need to do that at some point anyway.
>>
>> Cheers,
>>
>>
>>>> Can we do a bit better than googling something and actually talk to 
>>>> one or two folks in the industry (as suggested)?

-- 
Prof. Dr.sc. Martin J. Dürst
Department of Intelligent Information Technology
College of Science and Engineering
Aoyama Gakuin University
Fuchinobe 5-1-10, Chuo-ku, Sagamihara
252-5258 Japan

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 18 Sep 2021 14:24:00 +1200

On 18-Sep-21 12:59, Martin J. Dürst wrote:
> I'm neutral on inclusion or not, 

I'm not. We didn't have an LLC when we produced RFC 8728. Now that we do,
I think that describing the role is necessary and sufficient; describing
job qualifications in an RFC seems like overreach to me.

   Brian

> but if we do include this, I think

---

From: Christian Huitema <[email-masked]>
Date: Sat, 18 Sep 2021 11:54:08 -0700

> job qualifications in an RFC seems like overreach to me.

+1.

-- Christian Huitema

---

From: Mark Nottingham <[email-masked]>
Date: Mon, 20 Sep 2021 13:35:07 +1000

It is indeed not my preferred name. I can live with RSCE -- it helps some that "RFC Series" is separated from "Editor" by another word.

My proposal was not necessarily blocking, and I believe it would help us verify much more than just the name. Is there interest in pursuing it on that basis?

Cheers,

> On 18 Sep 2021, at 12:48 am, Brian Rosen <[email-masked]> wrote:
>

---

From: Mark Nottingham <[email-masked]>
Date: Mon, 20 Sep 2021 13:51:49 +1000

> On 18 Sep 2021, at 12:24 pm, Brian E Carpenter <[email-masked]> wrote:
> 

+1 to Brian. The responsibilities, duties, and  of this person should be documented in what we produce; the job description should not.

Cheers,

---

From: Eliot Lear <[email-masked]>
Date: Mon, 20 Sep 2021 07:52:38 +0200

Ok.  I'm getting a pretty clear message on this.  Any disagreement?

Eliot

---

From: John C Klensin <[email-masked]>
Date: Mon, 20 Sep 2021 20:27:45 -0400

Eliot,

No disagreement but I note that, in going in the direction
described below, we are making a specific decision and that
maybe we should be explicit about it. Our specifying
responsibilities, duties, etc., and leaving the job description,
qualifications, and hiring process to the LLC seems entirely
reasonable if we also assume that the LLC will have sufficient
expertise in the subject matter to make that translation, select
the right sort of search firm if one of those is to be used, and
carry out a selection process that gets us someone who can meet
community expectations.  That is with or without consultations
with the community in that process: since this would be a
personnel matter, there are definite limits on how much
community (or RSAG/ RSWG) involvement is appropriate.

I should stress again that I don't object to going in that
direction: All of the alternatives I can think of would probably
be worse.  But we should understand where it takes us.

And, yes, this is another manifestation of my long-standing
concern about specific subject matter expertise.

best,
   john

--On Monday, September 20, 2021 07:52 +0200 Eliot Lear
<[email-masked]> wrote:

>>> I'm not. We didn't have an LLC when we produced RFC 8728.
>>> Now that we do, I think that describing the role is
>>> necessary and sufficient; describing job qualifications in
>>> an RFC seems like overreach to me.

>> +1 to Brian. The responsibilities, duties, and  of this
>> person should be documented in what we produce; the job
>> description should not.
>> 
>> Cheers,
>> 
>> 
>> 
>> --

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 22 Sep 2021 13:21:10 +1200

A final crumb of input. From a sample of 5 "Consulting Editors" in the academic world, I got two replies, anonymised as I promised them:

#1: In this role, I hold a lot of organisational memory, deal with ad hoc 
issues, investigate complaints, act as SE [Section Editor] and AE [Associate Editor] when required, assist in strategy development and marketing etc. 

#2: I provide strategic advice on the journal direction and support the senior editors when required.

Regards
   Brian Carpenter

On 18-Sep-21 02:48, Brian Rosen wrote:
> I believe RFC Series Consulting Editor is the current top contender and 
I propose that we accept that.  We have spent a very long time on this issue, so if you can live with RSCE, please say so even if that isn’t your preferred name.  If you can’t live with it, please say so. 
 Please respond by October 8.

---

From: Eric Rescorla <[email-masked]>
Date: Wed, 22 Sep 2021 06:22:34 -0700

I can live with consulting editor though it would not be my preference.

On Sun, Sep 19, 2021 at 8:35 PM Mark Nottingham <[email-masked]> wrote:

> It is indeed not my preferred name. I can live with RSCE -- it helps some
> that "RFC Series" is separated from "Editor" by another word.
>
> My proposal was not necessarily blocking, and I believe it would help us
> verify much more than just the name. Is there interest in pursuing it on
> that basis?
>
> Cheers,
>
>
>
> I propose that we accept that.  We have spent a very long time on this
> issue, so if you can live with RSCE, please say so even if that isn’t your
> preferred name.  If you can’t live with it, please say so.  Please respond
> by October 8.
> >
> > Brian
> >
> roles does it best map onto, etc. I.e., it'd be good to validate that it's
> going to work from their perspective.
> >>